Subject: Re: Chicken/egg problem building from a 'git clone'

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Feb 2009 21:36:50 -0800

Miles Bader <[email-masked]> writes:

> Joi Ellis <[email-masked]> writes:
>> Because there is no configure script provided, and because my autoconf
>> is considered too old, I simply can't start the build process because
>> I can't generate the missing configure script.
>
> Er, why don't you upgrade to a less ancient version of autoconf...?

Please do not encourage the use of configure/autoconf unnecessarily.

Our Makefile is designed to be usable *without* configure, exactly because
configure/autoconf is often a maintenance (if not portability) nightmare.

Use of configure is tolerated, not encouraged.